Subject: Re: Odd issue - The Diffs That WILL NOT DIE.

From: "Frans Klaver" <[email-masked]>
Date: Tue, 06 Dec 2011 22:47:34 +0100

On Tue, 06 Dec 2011 22:43:50 +0100, Chris Patti <[email-masked]> wrote:

> I have a Homebrew installed version if Git 1.7.8 running on OSX Lion.
>
> I'm seeing a very odd issue where these diffs I didn't create keep
> recurring in a particular repository.

Could you be a little more specific about the nature of the diffs? Is it  
reproducible on another system? It sounds like newlines or whitespace. Does

$ git diff -w

produce the same result?

>
> I've tried:
>
> * Nuking the repo and re-cloning, cloning into a totally different
> containing directory
> * git reset --hard, git checkout -- of the offending file supposedly
> containing the diffs
>
> Is there some sort of uber persistent local cache that's bound to the
> remote repository?
>
> Thanks in advance,
> -Chris
>